Perform various operations for Symitar parameters.
Operations
getStock
Retrieve Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
StockTypeintegerrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getStockPOST /nexum/627/2022.01/parameter/getStock HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"StockType": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getStockSelectFields
Retrieve Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
StockTypeintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getStockSelectFieldsPOST /nexum/627/2022.01/parameter/getStockSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"StockType": 0,
"SelectableFields": {
"StockFields": {
"Type": true,
"TypeDescription": true
}
}
}getStockPagedList
Retrieve Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/getStockPagedListPOST /nexum/627/2022.01/parameter/getStockPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getStockListSelectFields
Retrieve Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getStockListSelectFieldsPOST /nexum/627/2022.01/parameter/getStockListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"SelectableFields": {
"IncludeAllStockFields": true
}
}searchStockSelectFields
Search Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/searchStockSelectFieldsPOST /nexum/627/2022.01/parameter/searchStockSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllStockFields": true
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getStockPagedListSelectFields
Retrieve Stock parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/getStockPagedListSelectFieldsPOST /nexum/627/2022.01/parameter/getStockPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"StockFields": {
"Type": true,
"TypeDescription": true
}
}
}